<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.guobang.PdaGuoBangViewModel" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical"
        tools:context=".ui.shouyun.PdaShouYunActivity">

        <include layout="@layout/title_tool_bar" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:gravity="center_vertical">

                    <Spinner
                        android:id="@+id/spinner"
                        items="@{viewModel.channelList}"
                        onSelected="@{viewModel::channelSelected}"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_weight="1"
                        android:background="@drawable/bg_spinner_pda"
                        android:theme="@style/spinner_normal"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_weight="1"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="重量"
                            android:textColor="@color/text_normal"
                            android:textSize="20sp"
                            android:textStyle="bold" />

                        <EditText
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@null"
                            android:gravity="center"
                            android:inputType="numberDecimal"
                            android:text="@={viewModel.weight}"
                            android:textColor="@color/text_normal"
                            android:textSize="20sp"
                            tools:text="99" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="KG"
                            android:textColor="@color/text_normal"
                            android:textSize="20sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginTop="10dp"
                    android:gravity="center_vertical">

                    <EditText
                        setFocusChangedListener="@{viewModel::onCarOrUldChange}"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/bg_input"
                        android:drawableRight="@mipmap/scan_code"
                        android:gravity="center_vertical"
                        android:hint="请扫描平板车或集装器"
                        android:textColor="@color/text_normal"
                        android:textColorHint="@color/text_gray_l"
                        android:paddingHorizontal="10dp"
                        android:text="@={viewModel.carUld}"
                        android:textSize="15sp" />

                    <TextView
                        shape_bg_color="@{@color/colorPrimary}"
                        shape_radius="@{4}"
                        android:layout_width="80dp"
                        android:layout_height="40dp"
                        android:layout_marginLeft="10dp"
                        android:gravity="center"
                        android:onClick="@{()->viewModel.clearClick()}"
                        android:text="清 空"
                        android:textColor="@color/white"
                        android:textSize="15sp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:background="@drawable/bg_input"
                    android:orientation="vertical"
                    android:padding="10dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1">

                            <TextView
                                android:layout_width="90dp"
                                android:layout_height="wrap_content"
                                android:text="平板车号" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{viewModel.carUldBean.carid}" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:layout_weight="1">

                            <TextView
                                android:layout_width="90dp"
                                android:layout_height="wrap_content"
                                android:text="平板车自重" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{viewModel.carUldBean.carweight}" />
                        </LinearLayout>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1">

                            <TextView
                                android:layout_width="90dp"
                                android:layout_height="wrap_content"
                                android:text="集装器编号" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{viewModel.carUldBean.uld}" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:layout_weight="1">

                            <TextView
                                android:layout_width="90dp"
                                android:layout_height="wrap_content"
                                android:text="集装器自重" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{viewModel.carUldBean.uldWeight}" />
                        </LinearLayout>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1">

                            <TextView
                                android:layout_width="90dp"
                                android:layout_height="wrap_content"
                                android:text="装机重量" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{viewModel.zjWeight}" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:layout_weight="1">

                            <TextView
                                android:layout_width="90dp"
                                android:layout_height="wrap_content"
                                android:text="货重" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{viewModel.hwWeight}" />
                        </LinearLayout>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1">

                            <TextView
                                android:layout_width="90dp"
                                android:layout_height="wrap_content"
                                android:text="总重" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{viewModel.weight}" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:layout_weight="1">

                            <TextView
                                android:layout_width="90dp"
                                android:layout_height="wrap_content"
                                android:text="货物类型" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@{viewModel.carUldBean.gjcLoadingBean.cargoName}" />
                        </LinearLayout>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="90dp"
                            android:layout_height="wrap_content"
                            android:text="板型" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:background="@drawable/bg_input"
                            android:paddingHorizontal="5dp"
                            android:text="@={viewModel.version}"
                            android:textSize="13sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="90dp"
                            android:layout_height="wrap_content"
                            android:text="高度" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:background="@drawable/bg_input"
                            android:inputType="numberDecimal"
                            android:paddingHorizontal="5dp"
                            android:text="@={viewModel.height}"
                            android:textSize="13sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="90dp"
                            android:layout_height="wrap_content"
                            android:text="探板收口" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:background="@drawable/bg_input"
                            android:paddingHorizontal="5dp"
                            android:text="@={viewModel.mouth}"
                            android:textSize="13sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="90dp"
                            android:layout_height="wrap_content"
                            android:text="探板尺寸" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:background="@drawable/bg_input"
                            android:paddingHorizontal="5dp"
                            android:text="@={viewModel.size}"
                            android:textSize="13sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="90dp"
                            android:layout_height="wrap_content"
                            android:text="IMP代码" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="30dp"
                            android:background="@drawable/bg_input"
                            android:paddingHorizontal="5dp"
                            android:text="@={viewModel.impCode}"
                            android:textSize="13sp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="90dp"
                            android:layout_height="wrap_content"
                            android:text="航班日期" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{viewModel.carUldBean.gjcLoadingBean.fdate}" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="90dp"
                            android:layout_height="wrap_content"
                            android:text="航班号" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{viewModel.carUldBean.gjcLoadingBean.fno}" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="40dp"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="90dp"
                            android:layout_height="wrap_content"
                            android:text="目的港" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@{viewModel.carUldBean.gjcLoadingBean.dest}" />

                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>

        </ScrollView>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:onClick="@{()->viewModel.confirmClick()}"
            android:text="完成过磅"
            android:textColor="@color/white"
            android:textSize="16sp" />

    </LinearLayout>
</layout>